Skip to main content
POST
/
v1
/
contracts
/
addManualBalanceLedgerEntry
Add a manual balance entry
curl --request POST \
  --url https://api.metronome.com/v1/contracts/addManualBalanceLedgerEntry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d",
  "contract_id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
  "id": "6162d87b-e5db-4a33-b7f2-76ce6ead4e85",
  "segment_id": "66368e29-3f97-4d15-a6e9-120897f0070a",
  "amount": -1000,
  "reason": "Reason for entry"
}
'
import requests

url = "https://api.metronome.com/v1/contracts/addManualBalanceLedgerEntry"

payload = {
"customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d",
"contract_id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"id": "6162d87b-e5db-4a33-b7f2-76ce6ead4e85",
"segment_id": "66368e29-3f97-4d15-a6e9-120897f0070a",
"amount": -1000,
"reason": "Reason for entry"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '13117714-3f05-48e5-a6e9-a66093f13b4d',
contract_id: 'd7abd0cd-4ae9-4db7-8676-e986a4ebd8dc',
id: '6162d87b-e5db-4a33-b7f2-76ce6ead4e85',
segment_id: '66368e29-3f97-4d15-a6e9-120897f0070a',
amount: -1000,
reason: 'Reason for entry'
})
};

fetch('https://api.metronome.com/v1/contracts/addManualBalanceLedgerEntry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Add a manual ledger entry to a balance

customer_id
string<uuid>
required

ID of the customer whose balance is to be updated.

id
string<uuid>
required

ID of the balance (commit or credit) to update.

segment_id
string<uuid>
required

ID of the segment to update.

amount
number
required

Amount to add to the segment. A negative number will draw down from the balance.

reason
string
required

Reason for the manual adjustment. This will be displayed in the ledger.

contract_id
string<uuid>

ID of the contract to update. Leave blank to update a customer level balance.

per_group_amounts
object

If using individually configured commits/credits attached to seat managed subscriptions, the amount to add for each seat. Must sum to total amount.

timestamp
string<date-time>

RFC 3339 timestamp indicating when the manual adjustment takes place. If not provided, it will default to the start of the segment.

Response

Success